Skip to main content
PATCH
Update Provider

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider_id
string
required

Query Parameters

tenant_id
string | null

管理员可选租户范围

Body

application/json
name
string | null
Required string length: 1 - 100
provider_type
enum<string> | null

生态服务类型枚举。

Available options:
legal,
finance_tax,
policy,
intellectual,
order_match,
fa_consultant,
brand_pr,
talent,
data,
cloud
contact_person
string | null
Required string length: 1 - 50
phone
string | null
Required string length: 6 - 20
email
string | null
Maximum string length: 100
description
string | null
Maximum string length: 2000
office_address
string | null
Maximum string length: 255
founded_date
string<date> | null
credit_code
string | null
Maximum string length: 18
business_scope
string | null
Maximum string length: 50
registered_capital
string | null
Maximum string length: 100
industry_region
string | null
Maximum string length: 100
joined_at
string<date> | null

Response

Successful Response

code
integer
default:0

响应码,成功时为0

message
string
default:操作成功

成功消息

data
EcosystemProviderResponse · object

响应数据

timestamp
integer | null

响应时间戳(可选)